import Vue from 'vue'
import Vuex from 'vuex'
import auth from './modules/auth'
import shows from './modules/shows'
import files from './modules/files'
import playlists from './modules/playlists'

Vue.use(Vuex)

const debug = process.env.NODE_ENV !== 'production'

const state = {
  items: [],
}

const getters = {
  items: state => state.items,
  itemCount: state => state.items.length,
}

const actions = {
  addItem ({commit}, item) {
    commit('addItem', item)
  }
}

const mutations = {
  addItem (state, item) {
    state.items.push(item)
  }
}

export default new Vuex.Store({
  strict: debug,
  modules: {
    auth,
    shows,
    files,
    playlists,
  },
  state,
  getters,
  actions,
  mutations,
})
